#include <iostream>
#include <algorithm>
using namespace std;

int main()
{								
	// DEKLARACIJA I UNOS
										
	int i, j, N, K, brZ = 0, brP = 1, pom;           
	cin >> N >> K;
	
	int pogodio[ N ], unikati[ N ];
	
	for( i = 0; i < N; ++i )
		cin >> pogodio[ i ];
	
	// SORTIRANJE NIZA
	
	sort( pogodio, pogodio + N );
	
	// TRAZENJE BR KOJI SU SE POjAVILI K ILI VISE PUTA
	
	for( i = 0; i < N - K + 1; ++i)
	{
		if( pogodio[ i ] != pom || brZ == 0)
		{
			if( pogodio[ i ] == pogodio[ i + K - 1 ] )
			{
				unikati[ brZ++ ] = pogodio[ i ];
				pom = pogodio[ i ];
			}
		}
	}
	
	// ISPIS IZLAZA
	
	cout << brZ << endl;
	for( i = 0; i < brZ; ++i )
		cout << unikati[ i ] << " ";
	
	return 0;
}